Skip to main content
`Ctrl`+`K`

# PetscViewerSetUp

Sets up the internal viewer data structures for the later use.

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerSetUp(PetscViewer viewer)

Collective

## Input Parameter

- viewer - the `PetscViewer` context

## Note

For basic use of the `PetscViewer` classes the user need not explicitly call `PetscViewerSetUp()`, since these actions will happen automatically.

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerCreate()`, `PetscViewerDestroy()`

## Level

advanced

## Location

src/sys/classes/viewer/interface/view.c

## Implementations

PetscViewerSetUp_Binary() in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerSetUp_HDF5() in src/sys/classes/viewer/impls/hdf5/hdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages